Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class ConnectionHandleEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gmf.runtime.diagram.ui.editpolicies.DiagramAssistantEditPolicy
                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.ConnectionHandleEditPolicy

All Implemented Interfaces:
  EditPolicy, MouseMotionListener, RequestConstants

public class ConnectionHandleEditPolicy
extends DiagramAssistantEditPolicy

This editpolicy is responsible for adding the connection handles to a shape.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.MouseMotionListener
`MouseMotionListener.Stub`

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ConnectionHandleEditPolicy()`

Method Summary
`void` `activate()`
`protected java.lang.String` `buildTooltip(ConnectionHandle.HandleDirection direction)` Builds the applicable tooltip string based on whether the Modeling Assistant Service supports handle gestures on this element.
`void` `deactivate()`
`protected ConnectionHandleLocator` `getConnectionHandleLocator(Point referencePoint)` get the connection handle locator using the host and the passed reference point
`protected java.util.List` `getHandleFigures()` Gets the two connection handle figures to be added to this shape if they support user gestures.
`protected void` `hideDiagramAssistant()` Removes the connection handles.
`protected boolean` `isDiagramAssistant(java.lang.Object object)` Checks if the object is or is part of the diagram assistant figure.
`protected boolean` `isDiagramAssistantShowing()` Returns true if the diagram assistant is currently showing; false otherwise.
`protected boolean` `shouldShowDiagramAssistant()` Returns true if the diagram assistant should be shown; false otherwise.
`protected void` `showDiagramAssistant(Point referencePoint)` Shows the diagram assistant figure(s).

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.DiagramAssistantEditPolicy
`getAppearanceDelay, getDisappearanceDelay, getDisappearanceDelayUponExit, getMouseLocation, hideDiagramAssistantAfterDelay, isPreferenceOn, mouseDragged, mouseEntered, mouseExited, mouseHover, mouseMoved, setAvoidHidingDiagramAssistant, setMouseLocation, shouldAvoidHidingDiagramAssistant, showDiagramAssistantAfterDelay`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getCommand, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionHandleEditPolicy

    public ConnectionHandleEditPolicy()

Method Detail

### isDiagramAssistant

    protected boolean isDiagramAssistant(java.lang.Object object)

  Description copied from class: `DiagramAssistantEditPolicy`
  Checks if the object is or is part of the diagram assistant figure. This is used to determine if the mouse is hovering over the diagram assistant.

  Specified by:
    `isDiagramAssistant` in class `DiagramAssistantEditPolicy`
  Parameters:
    `object` - the object in question
  Returns:
    True if the object in question is or is part of the diagram assistant figure; false otherwise.

### getHandleFigures

    protected java.util.List getHandleFigures()

  Gets the two connection handle figures to be added to this shape if they support user gestures.

  Returns:
    a list of `ConnectionHandle` objects

### buildTooltip

    protected java.lang.String buildTooltip(ConnectionHandle.HandleDirection direction)

  Builds the applicable tooltip string based on whether the Modeling Assistant Service supports handle gestures on this element. If no gestures are supported, the tooltip returned will be null.

  Parameters:
    `direction` - the handle direction.
  Returns:
    tooltip the tooltip string; if null, the handle should be not be displayed

### activate

    public void activate()

  Specified by:
    `activate` in interface `EditPolicy`
  Overrides:
    `activate` in class `DiagramAssistantEditPolicy`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `EditPolicy`
  Overrides:
    `deactivate` in class `DiagramAssistantEditPolicy`

### showDiagramAssistant

    protected void showDiagramAssistant(Point referencePoint)

  Description copied from class: `DiagramAssistantEditPolicy`
  Shows the diagram assistant figure(s).

  Specified by:
    `showDiagramAssistant` in class `DiagramAssistantEditPolicy`
  Parameters:
    `referencePoint` - The reference point which may be used to determine where the diagram assistant should be located. This is most likely the current mouse location. This could be null, for example, when the host gains focus via the space bar, in which case the diagram assistant should be shown in a default location.

### hideDiagramAssistant

    protected void hideDiagramAssistant()

  Removes the connection handles.

  Specified by:
    `hideDiagramAssistant` in class `DiagramAssistantEditPolicy`

### shouldShowDiagramAssistant

    protected boolean shouldShowDiagramAssistant()

  Description copied from class: `DiagramAssistantEditPolicy`
  Returns true if the diagram assistant should be shown; false otherwise. This can be overridden to check any other conditions which must be met prior to showing the diagram assistant.

  Overrides:
    `shouldShowDiagramAssistant` in class `DiagramAssistantEditPolicy`
  Returns:
    true if the diagram assistant should be shown; false otherwise.

### getConnectionHandleLocator

    protected ConnectionHandleLocator getConnectionHandleLocator(Point referencePoint)

  get the connection handle locator using the host and the passed reference point

  Parameters:
    `referencePoint` -
  Returns:
    `ConnectionHandleLocator`

### isDiagramAssistantShowing

    protected boolean isDiagramAssistantShowing()

  Description copied from class: `DiagramAssistantEditPolicy`
  Returns true if the diagram assistant is currently showing; false otherwise. This is used to determine if the diagram assistant should be shown or hidden at a given point in time.

  Specified by:
    `isDiagramAssistantShowing` in class `DiagramAssistantEditPolicy`
  Returns:
    true if the diagram assistant is showing; false otherwise

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.